# Class BasicListUI.ListDataHandler

java.lang.Object
javax.swing.plaf.basic.BasicListUI.ListDataHandler

All Implemented Interfaces:
  `EventListener, ListDataListener`

Enclosing class:
  `BasicListUI`

public class BasicListUI.ListDataHandler extends Object implements ListDataListener
The `ListDataListener` that's added to the `JLists` model at `installUI time`, and whenever the JList.model property changes.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  - `JList.getModel()`
  - `BasicListUI.maybeUpdateLayoutState()`
  - `BasicListUI.createListDataListener()`
  - `BasicListUI.installUI(JComponent)`

## Constructor Summary

Constructors
Constructor
Description
`ListDataHandler()`
Constructs a `ListDataHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`contentsChanged(ListDataEvent e)`
Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods.
`void`
`intervalAdded(ListDataEvent e)`
Sent after the indices in the index0,index1 interval have been inserted in the data model.
`void`
`intervalRemoved(ListDataEvent e)`
Sent after the indices in the index0,index1 interval have been removed from the data model.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### ListDataHandler

public ListDataHandler()
Constructs a `ListDataHandler`.

## Method Details

### intervalAdded

public void intervalAdded(ListDataEvent e)
Description copied from interface: `ListDataListener`
Sent after the indices in the index0,index1 interval have been inserted in the data model. The new interval includes both index0 and index1.

Specified by:
  `intervalAdded` in interface `ListDataListener`
Parameters:
  `e` - a `ListDataEvent` encapsulating the event information

### intervalRemoved

public void intervalRemoved(ListDataEvent e)
Description copied from interface: `ListDataListener`
Sent after the indices in the index0,index1 interval have been removed from the data model. The interval includes both index0 and index1.

Specified by:
  `intervalRemoved` in interface `ListDataListener`
Parameters:
  `e` - a `ListDataEvent` encapsulating the event information

### contentsChanged

public void contentsChanged(ListDataEvent e)
Description copied from interface: `ListDataListener`
Sent when the contents of the list has changed in a way that's too complex to characterize with the previous methods. For example, this is sent when an item has been replaced. Index0 and index1 bracket the change.

Specified by:
  `contentsChanged` in interface `ListDataListener`
Parameters:
  `e` - a `ListDataEvent` encapsulating the event information